%global momorel 2

%define	with_python_version	2.5%{nil}
%define	with_apidocs		1%{nil}

%define	__prefix	%{?_prefix}%{!?_prefix:/usr}
%{?!_lib: %define _lib lib}
%{expand: %%define __share %(if [ -d %{__prefix}/share/man ]; then echo /share ; else echo %%{nil} ; fi)}

%define __bindir	%{__prefix}/bin
%define __includedir	%{__prefix}/include
%define __libdir	%{__prefix}/%{_lib}
%define __mandir	%{__prefix}%{__share}/man

Summary: The RPM package management system
Name: rpm
%define version 4.4.2.1
Version: %{version}
%{expand: %%define rpm_version %{version}}
Release: %{momorel}m%{?dist}
Group: System Environment/Base
Source: ftp://wraptastic.org/pub/rpm-4.4.x/rpm-%{rpm_version}.tar.gz
Source1: mono-find-provides
Source2: mono-find-requires
Patch1: rpm-4.4.1-prereq.patch
Patch2: rpm-4.4.2-ghost-conflicts.patch
Patch3: rpm-4.4.2-trust.patch
Patch4: rpm-4.4.2-devel-autodep.patch
Patch5: rpm-4.4.2-rpmfc-skip.patch
Patch6: rpm-4.4.2-matchpathcon.patch
Patch7: rpm-4.4.2.1-checksignals.patch
Patch8: rpm-4.4.2.1-checkterminate.patch
Patch9: rpm-4.4.2.1-python-exithook.patch
Patch10: rpm-4.4.2.1-checkterminate-noexit.patch
Patch11: rpm-4.4.2.1-gnueabi.patch

# momonganize patches
Patch100: rpm-4.4.2.1-momonga.patch
Patch101: rpm-4.4.2-momonga-macros.patch
Patch102: rpm-4.4.2-shortcircuit.patch
Patch103: rpm-4.4.2-man-bzip2.patch
Patch104: rpm-4.4.2.1-brp.patch
Patch105: rpm-4.4.2-macros-fhs2.patch
Patch106: rpm-4.4.2-macros-_build_arch.patch
Patch107: rpm-4.4.2-disable-_smp_mflags.patch
Patch108: rpm-4.4.2-exclude-from-strip.patch

Patch150: rpm-4.4.2.1-ts_no_check.patch

# momonganize rpm-python patch (by h_nakamura)
Patch200: rpm-4.4.2-rpm-python.patch

License: GPL
Conflicts: patch < 2.5
Prereq: shadow-utils
Requires: popt = 1.10.2.1
Requires: crontabs

BuildRequires: autoconf
BuildRequires: elfutils-libelf
BuildRequires: elfutils-devel

BuildRequires: readline-devel zlib-devel

BuildRequires: beecrypt-devel >= 4.1.2-3m
Requires: beecrypt >= 4.1.2, elfutils-libelf

BuildRequires: neon-devel
BuildRequires: sqlite-devel
BuildRequires: gettext-devel
BuildRequires: libselinux-devel
BuildRequires: ncurses-devel
BuildRequires: bzip2-devel >= 0.9.0c-2
BuildRequires: python-devel >= %{with_python_version}

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%package libs
Summary:  Libraries for manipulating RPM packages
Group: Development/Libraries

%description libs
This package contains the RPM shared libraries.

%package devel
Summary:  Development files for manipulating RPM packages
Group: Development/Libraries
Requires: rpm = %{rpm_version}-%{release}
Requires: beecrypt >= 4.1.2
Requires: sqlite-devel
Requires: libselinux-devel
Requires: elfutils-libelf-devel

%description devel
This package contains the RPM C library and header files. These
development files will simplify the process of writing programs that
manipulate RPM packages and databases. These files are intended to
simplify the process of creating graphical package managers or any
other tools that need an intimate knowledge of RPM packages in order
to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package build
Summary: Scripts and executable programs used to build packages.
Group: Development/Tools
Requires: rpm = %{rpm_version}-%{release}, patch >= 2.5, file, elfutils
Provides: rpmbuild(VendorConfig) = 4.1-1

%description build
The rpm-build package contains the scripts and executable programs
that are used to build packages using the RPM Package Manager.

%package python
Summary: Python bindings for apps which will manipulate RPM packages
Group: Development/Libraries
Requires: rpm = %{rpm_version}-%{release}
Requires: python >= %{with_python_version}
Requires: elfutils >= 0.55

%description python
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.

%package -n popt
Summary: A C library for parsing command line parameters
Group: Development/Libraries
Version: 1.10.2.1

%description -n popt
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%prep
%setup -q
%patch1 -p1 -b .prereq
%patch2 -p1 -b .ghostconflicts
%patch3 -p1 -b .trust
%patch4 -p1 -b .develdeps
%patch5 -p1 -b .fcskip
%patch6 -p1  -b .matchpathcon
%patch7 -p1 -b .checksignals
%patch8 -p1 -b .checkterminate
%patch9 -p1 -b .py-exithook
%patch10 -p1 -b .checkterminate-noexit
%patch11 -p1 -b .gnueabi

# momonganize patch
%patch100 -p1 -b .momonga
%patch101 -p1 -b .momonga-macros
%patch102 -p1 -b .shortcircuit
%patch103 -p1 -b .man-bzip2
%patch104 -p1 -b .brp
%patch105 -p1 -b .macros-fhs2
%patch106 -p1 -b .macros-_build_arch
%patch107 -p1 -b .disable-_smp_mflags
%patch108 -p1 -b .exclude-from-strip

%patch150 -p1 -b .ts_no_check

%patch200 -p1 -b .parseheader

%build

# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

WITH_PYTHON="--with-python=%{with_python_version}"

%ifos linux
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
./configure --prefix=%{__prefix} --sysconfdir=/etc \
	--localstatedir=/var --infodir='%{__prefix}%{__share}/info' \
	--mandir='%{__mandir}' \
	$WITH_PYTHON --enable-posixmutexes --without-javaglue
%else
export CPPFLAGS=-I%{__prefix}/include 
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} $WITH_PYTHON \
	--without-javaglue
%endif

make -C zlib || :

make %{?_smp_mflags}

%install
# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

rm -rf $RPM_BUILD_ROOT

make DESTDIR="$RPM_BUILD_ROOT" install

# Working around breakage from the -L$(RPM_BUILD_ROOT)... -L$(DESTDIR)...
# workaround to #132435,
# and from linking to included zlib
for i in librpm.la librpmbuild.la librpmdb.la librpmio.la ; do
	sed -i -e 's~-L'"$RPM_BUILD_ROOT"'[^ ]* ~~g' \
		-e 's~-L'"$RPM_BUILD_DIR"'[^ ]* ~~g' \
		"$RPM_BUILD_ROOT%{__libdir}/$i"
done

# Clean up dangling symlinks
# XXX Fix in rpm tree
for i in /usr/bin/rpme /usr/bin/rpmi /usr/bin/rpmu; do
    rm -f "$RPM_BUILD_ROOT"/"$i" 
done

# Clean up dangling symlinks
for i in /usr/lib/rpmpopt /usr/lib/rpmrc; do
    rm -f "$RPM_BUILD_ROOT"/"$i" 
done

%ifos linux

# Save list of packages through cron
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
install -m 755 scripts/rpm.daily ${RPM_BUILD_ROOT}/etc/cron.daily/rpm

mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
install -m 644 scripts/rpm.log ${RPM_BUILD_ROOT}/etc/logrotate.d/rpm

mkdir -p $RPM_BUILD_ROOT/etc/rpm

mkdir -p $RPM_BUILD_ROOT/var/spool/repackage
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
for dbi in \
	Basenames Conflictname Dirnames Group Installtid Name Packages \
	Providename Provideversion Requirename Requireversion Triggername \
	Filemd5s Pubkeys Sha1header Sigmd5 \
	__db.001 __db.002 __db.003 __db.004 __db.005 __db.006 __db.007 \
	__db.008 __db.009
do
    touch $RPM_BUILD_ROOT/var/lib/rpm/$dbi
done

%endif

%if %{with_apidocs}
bzip2 apidocs/man/man*/* || :
%endif

# Get rid of unpackaged files
{ cd $RPM_BUILD_ROOT
  rm -f .%{_libdir}/lib*.la
  rm -f .%{__prefix}/lib/rpm/{Specfile.pm,cpanflute,cpanflute2,rpmdiff,rpmdiff.cgi,sql.prov,sql.req,tcl.req}
  rm -rf .%{__mandir}/{fr,ko}
  rm -f .%{__libdir}/python%{with_python_version}/site-packages/*.{a,la}
  rm -f .%{__libdir}/python%{with_python_version}/site-packages/rpm/*.{a,la}
  rm -f .%{__libdir}/python%{with_python_version}/site-packages/rpmdb/*.{a,la}
}

# Install mono find-provides/requires
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/rpm
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/rpm

(
cd $RPM_BUILD_ROOT/usr/src/
ln -s momonga redhat
)

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%ifos linux
if [ -f /var/lib/rpm/packages.rpm ]; then
    echo "
You have (unsupported)
	/var/lib/rpm/packages.rpm	db1 format installed package headers
Please install rpm-4.0.4 first, and do
	rpm --rebuilddb
to convert your database from db1 to db3 format.
"
    exit 1
fi
/usr/sbin/groupadd -g 37 rpm				> /dev/null 2>&1
/usr/sbin/useradd  -r -d /var/lib/rpm -u 37 -g 37 rpm -s /sbin/nologin	> /dev/null 2>&1
%endif
exit 0

%post
%ifos linux
/sbin/ldconfig

# Establish correct rpmdb ownership.
/bin/chown rpm.rpm /var/lib/rpm/[A-Z]*

# XXX Detect (and remove) incompatible dbenv files during db-4.3.14 upgrade.
# XXX Removing dbenv files in %%post opens a lock race window, a tolerable
# XXX risk compared to the support issues involved with upgrading Berkeley DB.
[ -w /var/lib/rpm/__db.001 ] &&
/usr/lib/rpm/rpmdb_stat -CA -h /var/lib/rpm 2>&1 |
grep "db_stat: Program version 4.3 doesn't match environment version" 2>&1 > /dev/null &&
	rm -f /var/lib/rpm/__db*
                                                                                
%endif
exit 0

%ifos linux
%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
    /usr/sbin/userdel rpm > /dev/null 2>&1
    /usr/sbin/groupdel rpm > /dev/null 2>&1
fi
exit 0

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%post -n popt -p /sbin/ldconfig
%postun -n popt -p /sbin/ldconfig
%endif

%post python -p /sbin/ldconfig
%postun python -p /sbin/ldconfig

%define	rpmattr		%attr(0755, rpm, rpm)

%files
%defattr(-,root,root)
%attr(0755, rpm, rpm)	/bin/rpm

%ifos linux
%config(noreplace,missingok)	/etc/cron.daily/rpm
%config(noreplace,missingok)	/etc/logrotate.d/rpm
%dir				/etc/rpm
#%config(noreplace,missingok)	/etc/rpm/macros.*
%attr(0755, rpm, rpm)	%dir /var/lib/rpm
%attr(0755, rpm, rpm)	%dir /var/spool/repackage

%define	rpmdbattr %attr(0644, rpm, rpm) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)
%rpmdbattr	/var/lib/rpm/*
%endif

%rpmattr	%{__bindir}/rpm2cpio
%rpmattr	%{__bindir}/gendiff
%rpmattr	%{__bindir}/rpmdb
#%rpmattr	%{__bindir}/rpm[eiu]
%rpmattr	%{__bindir}/rpmsign
%rpmattr	%{__bindir}/rpmquery
%rpmattr	%{__bindir}/rpmverify

%attr(0755, rpm, rpm)	%dir %{__prefix}/lib/rpm
%rpmattr	%{__prefix}/lib/rpm/config.guess
%rpmattr	%{__prefix}/lib/rpm/config.sub
%rpmattr	%{__prefix}/lib/rpm/convertrpmrc.sh
%rpmattr	%{__prefix}/lib/rpm/freshen.sh
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/macros
%rpmattr	%{__prefix}/lib/rpm/mkinstalldirs
%rpmattr	%{__prefix}/lib/rpm/rpm.*
%rpmattr	%{__prefix}/lib/rpm/rpm2cpio.sh
%rpmattr	%{__prefix}/lib/rpm/rpm[deiukqv]
%rpmattr	%{__prefix}/lib/rpm/tgpg
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmpopt*
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmrc

%ifarch i386 i486 i586 i686 athlon pentium3 pentium4
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/i[3456]86*
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/athlon*
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/pentium*
%endif
%ifarch alpha alphaev5 alphaev56 alphapca56 alphaev6 alphaev67
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/alpha*
%endif
%ifarch sparc sparcv8 sparcv9 sparc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/sparc*
%endif
%ifarch ia64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ia64*
%endif
%ifarch powerpc ppc ppciseries ppcpseries ppcmac ppc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ppc*
%endif
%ifarch s390 s390x
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/s390*
%endif
%ifarch armv3l armv4l
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/armv[34][lb]*
%endif
%ifarch mips mipsel
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/mips*
%endif
%ifarch x86_64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/x86_64*
%endif
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/noarch*

%rpmattr	%{__prefix}/lib/rpm/rpmdb_*
%rpmattr	%{__prefix}/lib/rpm/rpmfile

%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/rpm.mo
%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/rpm.mo
%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/rpm.mo
%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/rpm.mo
%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/rpm.mo
%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/rpm.mo
%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/rpm.mo
%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/rpm.mo
%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/rpm.mo
%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/rpm.mo
%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/rpm.mo
%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/rpm.mo
%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/rpm.mo
%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/rpm.mo
%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/rpm.mo
%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/rpm.mo
%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/rpm.mo
%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/rpm.mo
%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/rpm.mo
%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/rpm.mo
%lang(zh_TW)	%{__prefix}/*/locale/zh_TW/LC_MESSAGES/rpm.mo

%{__mandir}/man1/gendiff.1*
%{__mandir}/man8/rpm.8*
%{__mandir}/man8/rpm2cpio.8*
%lang(ja)	%{__mandir}/ja/man[18]/*.[18]*
%lang(pl)	%{__mandir}/pl/man[18]/*.[18]*
%lang(ru)	%{__mandir}/ru/man[18]/*.[18]*
%lang(sk)	%{__mandir}/sk/man[18]/*.[18]*

%files libs
%defattr(-,root,root)
%{__libdir}/librpm-4.4.so
%{__libdir}/librpmdb-4.4.so
%{__libdir}/librpmio-4.4.so
%{__libdir}/librpmbuild-4.4.so

%files build
%defattr(-,root,root)
%dir %{__prefix}/src/redhat
%dir %{__prefix}/src/momonga
%dir %{__prefix}/src/momonga/BUILD
%dir %{__prefix}/src/momonga/SPECS
%dir %{__prefix}/src/momonga/SOURCES
%dir %{__prefix}/src/momonga/SRPMS
%dir %{__prefix}/src/momonga/RPMS
%{__prefix}/src/momonga/RPMS/*
%rpmattr	%{__bindir}/rpmbuild
%rpmattr	%{__prefix}/lib/rpm/brp-*
%rpmattr	%{__prefix}/lib/rpm/check-buildroot
%rpmattr	%{__prefix}/lib/rpm/check-files
%rpmattr	%{__prefix}/lib/rpm/check-prereqs
%rpmattr	%{__prefix}/lib/rpm/check-rpaths*
%attr(0644, rpm, rpm) %{__prefix}/lib/rpm/config.site
%rpmattr	%{__prefix}/lib/rpm/cross-build
%rpmattr	%{__prefix}/lib/rpm/debugedit
%rpmattr	%{__prefix}/lib/rpm/find-debuginfo.sh
%rpmattr	%{__prefix}/lib/rpm/find-lang.sh
%rpmattr	%{__prefix}/lib/rpm/find-prov.pl
%rpmattr	%{__prefix}/lib/rpm/find-provides
%rpmattr	%{__prefix}/lib/rpm/find-provides.perl
%rpmattr	%{__prefix}/lib/rpm/find-req.pl
%rpmattr	%{__prefix}/lib/rpm/find-requires
%rpmattr	%{__prefix}/lib/rpm/find-requires.perl
%rpmattr	%{__prefix}/lib/rpm/get_magic.pl
%rpmattr	%{__prefix}/lib/rpm/getpo.sh
%rpmattr	%{__prefix}/lib/rpm/http.req
%rpmattr	%{__prefix}/lib/rpm/javadeps
%rpmattr	%{__prefix}/lib/rpm/magic
%rpmattr	%{__prefix}/lib/rpm/magic.mgc
%rpmattr	%{__prefix}/lib/rpm/magic.mime
%rpmattr	%{__prefix}/lib/rpm/magic.mime.mgc
%rpmattr	%{__prefix}/lib/rpm/magic.prov
%rpmattr	%{__prefix}/lib/rpm/magic.req
%rpmattr	%{__prefix}/lib/rpm/mono-find-provides
%rpmattr	%{__prefix}/lib/rpm/mono-find-requires
%rpmattr	%{__prefix}/lib/rpm/perldeps.pl
%rpmattr	%{__prefix}/lib/rpm/perl.prov
%rpmattr	%{__prefix}/lib/rpm/perl.req
%rpmattr	%{__prefix}/lib/rpm/pythondeps.sh
%rpmattr	%{__prefix}/lib/rpm/modify-init.d
%rpmattr	%{__prefix}/lib/rpm/modify-la

%rpmattr	%{__prefix}/lib/rpm/rpm[bt]
%rpmattr	%{__prefix}/lib/rpm/rpmdeps
%rpmattr	%{__prefix}/lib/rpm/trpm
%rpmattr	%{__prefix}/lib/rpm/u_pkg.sh
%rpmattr	%{__prefix}/lib/rpm/vpkg-provides.sh
%rpmattr	%{__prefix}/lib/rpm/vpkg-provides2.sh

%{__mandir}/man8/rpmbuild.8*
%{__mandir}/man8/rpmdeps.8*

%files python
%defattr(-,root,root)
%{__libdir}/python%{with_python_version}/site-packages/rpm

%files devel
%defattr(-,root,root)
%if %{with_apidocs}
%doc apidocs
%endif
%{__includedir}/rpm
%{__libdir}/librpm.a
%{__libdir}/librpm.so
%{__libdir}/librpmdb.a
%{__libdir}/librpmdb.so
%{__libdir}/librpmio.a
%{__libdir}/librpmio.so
%{__libdir}/librpmbuild.a
%{__libdir}/librpmbuild.so
%{__mandir}/man8/rpmcache.8*
%{__mandir}/man8/rpmgraph.8*
%rpmattr	%{__prefix}/lib/rpm/rpmcache
%rpmattr	%{__bindir}/rpmgraph

%files -n popt
%defattr(-,root,root)
%{__libdir}/libpopt.so.*
%{__mandir}/man3/popt.3*
%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/popt.mo
%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/popt.mo
%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/popt.mo
%lang(es)	%{__prefix}/*/locale/es/LC_MESSAGES/popt.mo
%lang(eu_ES)	%{__prefix}/*/locale/eu_ES/LC_MESSAGES/popt.mo
%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/popt.mo
%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/popt.mo
%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/popt.mo
%lang(hu)	%{__prefix}/*/locale/hu/LC_MESSAGES/popt.mo
%lang(id)	%{__prefix}/*/locale/id/LC_MESSAGES/popt.mo
%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/popt.mo
%lang(it)	%{__prefix}/*/locale/it/LC_MESSAGES/popt.mo
%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/popt.mo
%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/popt.mo
%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/popt.mo
%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/popt.mo
%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/popt.mo
%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/popt.mo
%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/popt.mo
%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/popt.mo
%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/popt.mo
%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/popt.mo
%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/popt.mo
%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/popt.mo
%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/popt.mo
%lang(uk)	%{__prefix}/*/locale/uk/LC_MESSAGES/popt.mo
%lang(wa)	%{__prefix}/*/locale/wa/LC_MESSAGES/popt.mo
%lang(zh)	%{__prefix}/*/locale/zh/LC_MESSAGES/popt.mo
%lang(zh_CN)	%{__prefix}/*/locale/zh_CN/LC_MESSAGES/popt.mo
%lang(zh_TW)	%{__prefix}/*/locale/zh_TW/LC_MESSAGES/popt.mo

# XXX These may end up in popt-devel but it hardly seems worth the effort.
%{__libdir}/libpopt.a
%{__libdir}/libpopt.so
%{__includedir}/popt.h

%changelog
* Thu Aug  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2.1-2m)
- add rpm-4.4.2.1-ts_no_check.patch
-- check on transaction processing is loosened

* Tue Jul 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2.1-1m)
- update 4.4.2.1

* Mon May 28 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (4.4.2-20m)
- change japanese manual encode as utf-8

* Wed May 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2-19m)
- sync fc-devel (4.4.2-46)

* Fri Mar 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2-18m)
- sync fc-devel (4.4.2-40)

* Wed Mar 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2-17m)
- makimodoshi 4.4.2-15m

* Wed Mar 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2-16m)
- add LDFLAGS="-L /%%{_lib}"
-- Because /lib/libncurses.so cannot be linked

* Tue Feb 27 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2-15m)
- add Require elfutils-libelf

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.4.2-14m)
- delete libtool library

* Sat Jan  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.4.2-13m)
- add patch200 (for rpm-python by h_nakamura)

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2-12m)
- rebuild against python-2.5

* Sat Oct  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.2-11m)
- add rpm-4.4.2-gnuhash.patch

* Sat Aug 26 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (4.4.2-10m)
- rebuild against expat-2.0.0-1m

* Sat Jul  8 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.4.2-9m)
- add rpm-4.4.2-exclude-from-strip.patch

* Sat Jun 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.4.2-8m)
- depend sqlite3 -> sqlite

* Mon Jun  5 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.4.2-7m)
- disable rpm-4.4.2-rpmlib-require.patch 

* Wed May 31 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.4.2-6m)
- import from fc-devel
-   rpm-4.4.2-netsharedpath.patch
-   rpm-4.4.2-userlock.patch
-   rpm-4.4.2-vercmp.patch
-   rpm-4.4.2-doxy.patch
-   rpm-4.4.2-trust.patch
-   rpm-4.4.2-devel-autodep.patch
-   rpm-4.4.2-rpmfc-skip.patch

* Thu May 25 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (4.4.2-5m)
- enable rpm-4.4.2-rpmlib-require.patch 

* Thu May 25 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.4.2-4m)
- enable rpm-4.4.2-brp.patch
- enable rpm-4.4.2-macros-fhs2.patch
- enable rpm-4.4.2-macros-_build_arch.patch
- enable rpm-4.4.2-disable-_smp_mflags.patch
- convert japanese manpage to euc-jp

* Tue May 23 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.4.2-3m)
- enable rpm-4.4.2-man-bzip2.patch

* Tue May 23 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.4.2-2m)
- enable rpm-4.4.2-shortcircuit.patch
- modify spec

* Tue May 23 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.4.2-1m)
- version up

* Sat Feb 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (4.3.2-20m)
- glibc-2.3.90 ready
-- add rpm-4.2-nptl-1.patch

* Wed Nov 2 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.3.2-19m)
- make rpm package python-2.4 ready

* Mon Oct 31 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.3.2-18m)
- add gcc4 patch (Patch35)

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.3.2-17m)
- rebuild against python-2.4.2

* Sun Oct 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (4.3.2-16m)
- enable ppc64, mipsel

* Sat Jul 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (4.3.2-15m)
- rebuild against zlib-1.2.3 (CAN-2005-1849)

* Wed Jul 13 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.3.2-14m)
- rebuild against nptl-devel-2.3.4-2m

* Tue Jul 12 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.3.2-13m)
- rebuild against zlib-devel 1.2.2-2m, which fixes CAN-2005-2096.

* Wed Mar 02 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (4.3.2-12m)
- fixed typo in ja/rpm.8

* Fri Feb 18 2005 Toru Hoshina <t@momonga-linux.org>
- (4.3.2-11m)
- revised spec so the static library avoid stack protection.
- libpopt-diet.a is no longer provided, because libpopt.a is meaning it.

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (4.3.2-10m)
- enable x86_64 libpopt-diet.

* Fri Jan 14 2005 Toru Hoshina <t@momonga-linux.org>
- (4.3.2-9m)
- enable x86_64.

* Mon Nov 29 2004 TAKAHASHI Tamotsu <tamo>
- (4.3.2-8m)
- with SELinux support
- BuildPreReq: dietlibc
- BuildPreReq: libselinux-devel

* Mon Oct  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.3.2-7m)
- remove '-fomit-frame-pointer' from optflags

* Sun Oct  3 2004 Kazuhiro Yoshida <moriq@moriq.com>
- (4.3.2-6m)
- add a patch to fix typo (patch34).

* Sat Sep 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.3.2-5m)
- rebuild against python2.3

* Fri Aug 27 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.3.2-4m)
  added libpopt-diet.a for anaconda

* Wed Aug 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.3.2-3m)
- revise char code of japanese man pages (UTF-8 -> EUC-JP)

* Mon Aug  9 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.3.2-2m)
- add pthread patch (thanks to famao-san)

* Sat Aug  7 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.3.2-1m)
- update to 4.3.2
- without selinux support

* Thu Jul 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.2.2-1m)
- update to 4.2.2
- disable secure_getenv temporarily for anaconda

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.2.1-9m)
- remove Epoch from BuildPrereq

* Mon Jul  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.2.1-8m)
- require momonga-rpmmacros

* Fri May 22 2004 Toru Hoshina <t@momonga-linux.org>
- (4.2.1-7m)
- add elfutils-devel as a buildrequires.

* Wed May 12 2004 Toru Hoshina <t@momonga-linux.org>
- (4.2.1-6m)
- revised omit-brp-strip-static-archive.patch to strip shared object too.

* Tue Apr 13 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (4.2.1-5m)
- moved local configuraton directory from /etc/rpm/specopt to ~/rpm/specopt/

* Sun Mar 28 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (4.2.1-3m)
- omit brp-strip-static-archive from platform.in

* Wed Mar 11 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (4.2.1-2m)
- revise rpm-4.2.1-brp.patch

* Wed Mar 10 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (4.2.1-1m)
- import to momonga

* Wed Jul 16 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.30
- repair find-debuginfo.sh to avoid recursing in /usr/lib/debug.
- fix: ia64: don't attempt autorelocate on .src.rpm's.
- fix: debuginfo: -not -path /usr/lib/debug needed -prune too.

* Thu Jul 10 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.26
- apply debugedit patch necessary to produce kernel -debuginfo files.
- zap zlib files so that apidocs gets included.

* Wed Jul  9 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.21
- resolve elf32/elf64 file conflicts to prefer elf64.

* Tue Jul  8 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.20
- resurrect manifests, RPMRC_NOTFOUND returned by readLead().
- python: missed tuple refcount in IDTXload/IDTXglob.
- fix: IDTXglob should return REMOVETID sorted headers (#89857).

* Wed Jul  2 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.19
- autorelocate ix86 package file paths on ia64.

* Tue Jul  1 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.18
- don't attempt to remove dbenv on --rebuilddb.
- rebuild.

* Tue Jun 24 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.17
- update for fr.po (#97829).

* Fri Jun 20 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.16
- brp-python-bytecompile to automagically bytecode compile python.

* Thu Jun 19 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.15
- 2nd test release.

* Thu Jun 12 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.13
- fdCLose typo (#97257).
- test release.

* Mon Jun  9 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.12
- gratuitous bump/rebuild to exclude ppc64 for the moment.

* Thu Jun  5 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.11
- update ja man pages (#92261).
- backport rpmsw stopwatch, insturment rpmts operations.
- toy method to enable --stats through bindings.

* Wed Jun  4 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.8
- pass structure pointer, not args, through headerSprintf call chain.
- add ":xml" header format modifier.
- --queryformat '[%%{*:xml}\n]' to dump header content in XML.
- add ".arch" suffix to erase colored packages with identical NEVR.

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.6
- rebuild against fixes in beecrypt-3.0.0-0.20030603.
- treat missing epoch's exactly the same as Epoch: 0.

* Mon Jun  2 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.4
- rebuild against fixes in beecrypt-3.0.0-0.20030602.

* Thu May 29 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.3
- build with external beecrypt-3.0.0.
- blueprint beecrypt-3.0.0 changes against rpm-4.3.
- x86_64 -> athlon, ppc64[ip]series -> ppc64 arch compatibility.

* Thu Mar 27 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.1
- start rpm-4.2.1.
- hack out O_DIRECT support in db4 for now.
